import request from '@/framework/utils/request';

//查询应用列表
export function queryApps(params: any = {}) {
  return request({ url: '/sms/app/list', method: 'get', params });
}

//查询nginx日志
export function queryNginxLogs(params: any = {}) {
  return request({ url: '/sms/app/nginxlog/list', method: 'get', params });
}
//导出nginx日志
export function exportNginxLogs(params: any = {}) {
  return request({ url: '/sms/app/nginxlog/export', method: 'get', params });
}

//查询应用访问日志
export function queryAccessLogs(params: any = {}) {
  return request({ url: '/sms/app/accessLog/list', method: 'get', params });
}
//导出应用访问日志
export function exportAccessLogs(params: any = {}) {
  return request({ url: '/sms/app/accessLog/export', method: 'get', params });
}



//查询应用服务日志
export function queryServiceLogs(params: any = {}) {
  return request({ url: '/sms/app/serviceLog/list', method: 'get', params });
}
//导出应用服务日志
export function exportServiceLogs(params: any = {}) {
  return request({ url: '/sms/app/serviceLog/export', method: 'get', params });
}


//查询应用请求外部日志
export function queryResttemplateLogs(params: any = {}) {
  return request({ url: '/sms/app/resttemplatelog/list', method: 'get', params });
}
//导出应用请求外部日志
export function exportResttemplateLogs(params: any = {}) {
  return request({ url: '/sms/app/resttemplatelog/export', method: 'get', params });
}

//查询应用慢SQL日志
export function querySlowsqlLogs(params: any = {}) {
  return request({ url: '/sms/app/slowsqlLog/list', method: 'get', params });
}
//导出应用慢SQL日志
export function exportSlowsqlLogs(params: any = {}) {
  return request({ url: '/sms/app/slowsqlLog/export', method: 'get', params });
}



